# jitsi-rooms

## Development

`stack build`

`stack run`

## Debug

Using websocat

`websocat ws://127.0.0.1:9160`

`curl --data 'body data'  localhost:8081`

```
curl -X POST  localhost:8081/roomdata \
     -H "Content-Type: application/json" \
     -d '[
   {
     "roomName": "ConferenceRoom1",
     "participants": [
       {
         "jid": "participant1@example.com",
         "email": "participant1@example.com",
         "displayName": "Alice",
         "avatarURL": "https://example.com/avatars/alice.png"
       },
       {
         "jid": "participant2@example.com",
         "email": "participant2@example.com",
         "displayName": "Bob",
         "avatarURL": "https://example.com/avatars/bob.png"
       }
     ]
   },
   {
     "roomName": "ConferenceRoom2",
     "participants": [
       {
         "jid": "participant3@example.com",
         "email": "participant3@example.com",
         "displayName": "Charlie",
         "avatarURL": "https://example.com/avatars/charlie.png"
       },
       {
         "jid": "participant4@example.com",
         "email": "participant4@example.com",
         "displayName": "Dana",
         "avatarURL": "https://example.com/avatars/dana.png"
       }
     ]
   }
 ]'
```
