{
  mkDerivation,
  aeson,
  base,
  bytestring,
  classy-prelude,
  http-types,
  lib,
  lifted-base,
  mtl,
  text,
  uuid,
  wai,
  wai-extra,
  warp,
  websockets,
  optparse-applicative,
}:
mkDerivation {
  pname = "jitsi-rooms";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    aeson
    base
    bytestring
    classy-prelude
    http-types
    lifted-base
    mtl
    text
    uuid
    wai
    wai-extra
    warp
    websockets
    optparse-applicative
  ];
  executableHaskellDepends = [
    aeson
    base
    bytestring
    classy-prelude
    http-types
    lifted-base
    mtl
    text
    uuid
    wai
    wai-extra
    warp
    websockets
    optparse-applicative
  ];
  homepage = "https://github.com/githubuser/jitsi-rooms#readme";
  license = lib.licenses.bsd3;
  mainProgram = "jitsi-rooms-exe";
  enableSharedExecutables = false;
  postFixup = "rm -rf $out/lib $out/nix-support $out/share/doc";
}
