# Jitsi rooms prosody plugin

## Development

### Requirements

- Docker & docker-compose
- entr for dev mode

### Get started

- run `./run_dev.sh`
- open [https://localhost:8443/](https://localhost:8443/) (accept the risk about self-signed certs)
- make changes to mod_jitsi_rooms.lua and save the file
- prosody will be restarted
- join a room in jitsi
- run `curl localhost:5280/jitsi_rooms` to test the rest endpoint

## Deploying

- all required changes to the [jitsi meet docker setup](https://github.com/jitsi/docker-jitsi-meet) are marked with a "custom" comment

## ?

Maybe we could just use https://github.com/jitsi-contrib/prosody-plugins/tree/dd1cb9098f5fbd281f2b62c1e2cf30e220ff14b0/event_sync
=> This does not include the whole participants list
